package cn.estsh.i3plus.pojo.mdm.bean.base;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description :MDM模型bean
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-18 20:52
 * @Modify:
 **/
public abstract class BaseMdmBusiModelBean<M extends BaseMdmBean, B extends BaseMdmBusiExtdBean> {

    public BaseMdmBusiModelBean(M mdmMasterBean, B mdmBusiBean) {
        this.mdmMasterBean = mdmMasterBean;
        this.mdmBusiBean = mdmBusiBean;
    }

    @ApiModelProperty("主数据")
    private M mdmMasterBean;

    @ApiModelProperty("业务扩展")
    private B mdmBusiBean;

    public BaseMdmBusiModelBean() {
    }

    /**
     * 获取主数据m
     *
     * @return
     */
    public M getMaster() {
        return mdmMasterBean;
    }

    /**
     * 获取业务扩展数据
     *
     * @return
     */
    public B getBusi() {
        return mdmBusiBean;
    }

    /**
     * 设置主数据m
     *
     * @return
     */
    public void setMaster(M baseMdmBean) {
        this.mdmMasterBean = baseMdmBean;
    }

    /**
     * 设置业务扩展数据
     *
     * @return
     */
    public void setBusi(B baseMdmBusiExtdBean) {
        this.mdmBusiBean = baseMdmBusiExtdBean;
    }

}
